Bug 1004845 - Review Request: python-libarchive - Fully functional Python wrapper for libarchive.
Summary: Review Request: python-libarchive - Fully functional Python wrapper for liba...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Björn 'besser82' Esser
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-09-05 15:24 UTC by Dhiru Kholia
Modified: 2014-03-25 03:44 UTC (History)
4 users (show)

Fixed In Version: python-libarchive-3.1.2.1-3.fc19
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-09-26 06:28:12 UTC
Type: ---
besser82: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Dhiru Kholia 2013-09-05 15:24:39 UTC
Spec URL: https://bitbucket.org/dhiru/packages/raw/master/python-libarchive/python-libarchive.spec
SRPM URL: https://bitbucket.org/dhiru/packages/raw/master/python-libarchive/python-libarchive-3.1.2.1-1.fc19.src.rpm

Description: 

Fully functional Python wrapper for libarchive. Created using SWIG. The low-level API provides access to all of the functionality of libarchive.

The package also includes a high level python library which mimics the zipfile and tarfile modules.

For more details, see http://code.google.com/p/python-libarchive/

Fedora Account System Username: halfie

I use this package almost every day. So, it would be great to have it in Fedora.

Comment 1 Paul Wouters 2013-09-05 15:28:23 UTC
I'll take it, as I'm already going to sponsor Dhiru

Comment 2 Paul Wouters 2013-09-05 17:33:12 UTC
build fails for me on f18...

paul@bofh:/vol/home/paul/1004257-python-pudb/1004845-python-libarchive$ rpmbuild -ba ./srpm/python-libarchive.spec
Executing(%prep): /bin/sh -e /var/tmp/rpm-tmp.rpePkY
+ umask 022
+ cd /home/paul/BUILD
+ cd /home/paul/BUILD
+ rm -rf python-libarchive-3.1.2-1
+ /usr/bin/gzip -dc /home/paul/SOURCES/python-libarchive-3.1.2-1.tar.gz
+ /usr/bin/tar -xf -
+ STATUS=0
+ '[' 0 -ne 0 ']'
+ cd python-libarchive-3.1.2-1
+ /usr/bin/chmod -Rf a+rX,u+w,g-w,o-w .
+ rm -rf libarchive.egg-info
+ exit 0
Executing(%build): /bin/sh -e /var/tmp/rpm-tmp.E6oOMA
+ umask 022
+ cd /home/paul/BUILD
+ cd python-libarchive-3.1.2-1
+ /usr/bin/python setup.py build
running build
running build_py
creating build
creating build/lib.linux-x86_64-2.7
creating build/lib.linux-x86_64-2.7/libarchive
copying libarchive/zip.py -> build/lib.linux-x86_64-2.7/libarchive
copying libarchive/__init__.py -> build/lib.linux-x86_64-2.7/libarchive
copying libarchive/_libarchive.py -> build/lib.linux-x86_64-2.7/libarchive
copying libarchive/tar.py -> build/lib.linux-x86_64-2.7/libarchive
running build_ext
building 'libarchive.__libarchive' extension
creating build/temp.linux-x86_64-2.7
creating build/temp.linux-x86_64-2.7/libarchive
gcc -pthread -fno-strict-aliasing -O2 -g -pipe -Wall -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector --param=ssp-buffer-size=4 -m64 -mtune=generic -D_GNU_SOURCE -fPIC -fwrapv -DNDEBUG -O2 -g -pipe -Wall -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector --param=ssp-buffer-size=4 -m64 -mtune=generic -D_GNU_SOURCE -fPIC -fwrapv -fPIC -Ilibarchive -I/usr/include/python2.7 -c libarchive/_libarchive_wrap.c -o build/temp.linux-x86_64-2.7/libarchive/_libarchive_wrap.o
libarchive/_libarchive_wrap.c: In function 'init__libarchive':
libarchive/_libarchive_wrap.c:6245:21: warning: variable 'md' set but not used [-Wunused-but-set-variable]
gcc -pthread -shared -Wl,-z,relro build/temp.linux-x86_64-2.7/libarchive/_libarchive_wrap.o -L/usr/lib64 -larchive -lpython2.7 -o build/lib.linux-x86_64-2.7/libarchive/__libarchive.so -l:libarchive.so.13.1.2
/usr/bin/ld: cannot find libarchive.so.13.1.2
collect2: error: ld returned 1 exit status
error: command 'gcc' failed with exit status 1
error: Bad exit status from /var/tmp/rpm-tmp.E6oOMA (%build)


RPM build errors:
    Bad exit status from /var/tmp/rpm-tmp.E6oOMA (%build)

Comment 3 Björn 'besser82' Esser 2013-09-05 17:50:54 UTC
(In reply to Paul Wouters from comment #2)
> build fails for me on f18...
>
> build/lib.linux-x86_64-2.7/libarchive/__libarchive.so -l:libarchive.so.13.1.2
> /usr/bin/ld: cannot find libarchive.so.13.1.2
> collect2: error: ld returned 1 exit status
> error: command 'gcc' failed with exit status 1
> error: Bad exit status from /var/tmp/rpm-tmp.E6oOMA (%build)

Paul, this is closely tied to the version of libarchive:

[[ Version(python-libarchive) == Version(libarchive) ]] && build_succedes  ;)

Comment 4 Björn 'besser82' Esser 2013-09-05 17:54:02 UTC
Or in other words:

  BuildRequires: libarchive-devel = %{version}

Comment 5 Paul Wouters 2013-09-05 18:05:18 UTC
I does not specify a minimum version of libarchive. Often people grab srpms from one branch and use it on another. So if this python package only works with some minimal version, it should be added as minimum version to the Requires: (even if f20 does not ship versions old enough to not work)

Comment 6 Björn 'besser82' Esser 2013-09-05 18:11:03 UTC
(In reply to Paul Wouters from comment #5)
> I does not specify a minimum version of libarchive. Often people grab srpms
> from one branch and use it on another. So if this python package only works
> with some minimal version, it should be added as minimum version to the
> Requires: (even if f20 does not ship versions old enough to not work)

python-libarchive will need _exactly the same_ version of libarchive.  Like I said before:

  BuildRequires: libarchive-devel = %{version}
  Requires: libarchive%{?_isa} = %{version}

So if libarchive is e.g. 12.3.4, then you need to use python-libarchive-12.3.4 and vice versa.

Comment 7 Paul Wouters 2013-09-05 18:13:32 UTC
this was build on a fresh f19 VM. installed libarchive/libarchive-devel, build python-libarchive, then ran the test that segfaults

Comment 8 Björn 'besser82' Esser 2013-09-05 18:29:36 UTC
Some general comments on the spec-file:

  * Use of %define:

      %define upstream_version 3.1.2
      %define upstream_release 1

    Use %global instead of %define.
    See: http://fedoraproject.org/wiki/Packaging:Guidelines#.25global_preferred_over_.25define


  * no %check, though there's a testsuite in sources:

      BuildRequires: swig

      %check
      %{__python} tests.py

    http://code.google.com/p/python-libarchive/wiki/Building


  * What are these used for?

      %global upstream_name python-libarchive
      %global module_name libarchive


  * Use the macro you define more common:

      Version: %{upstream_version}.%{upstream_release}


  * no proper export of compiler-flags before build:

      Add "%configure ||:" on top inside %build


There might be more issues, this just came from quick glance over the spec.

Comment 9 Dhiru Kholia 2013-09-05 19:55:21 UTC
Thanks guys! 

I think I have now addressed major problems.

New links,

Spec URL: https://bitbucket.org/dhiru/packages/raw/master/python-libarchive/python-libarchive.spec
SRPM URL: https://bitbucket.org/dhiru/packages/raw/master/python-libarchive/python-libarchive-3.1.2.1-2.fc19.src.rpm

http://koji.fedoraproject.org/koji/taskinfo?taskID=5901971

http://koji.fedoraproject.org/koji/taskinfo?taskID=5901976

"libarchive" version on f18 is too old which results in build failures.

Special thanks goes to "besser82" for mentoring me in #fedora-mentors :-)

Comment 10 Paul Wouters 2013-09-06 13:39:27 UTC
On f19 it builds, bug segfaults

tar zcvf example.tar.gz /tmp/.Test-unix/
tar: Removing leading `/' from member names
/tmp/.Test-unix/

>>> import libarchive.
>>> a  = libarchive.Archive('example.tar.gz')
>>> for entry in a:
...     print entry.pathname
... a.close()
  File "<stdin>", line 3
    a.close()
    ^
SyntaxError: invalid syntax
>>> a
<libarchive.Archive object at 0x7f14629bdc50>
>>> a.close()
>>> 
>>> for entry in a:
...     print entry.pathname
... 
Segmentation fault

Comment 11 Björn 'besser82' Esser 2013-09-06 14:02:07 UTC
As agreed with Paul, I'll take this over.

Comment 12 Dhiru Kholia 2013-09-06 15:38:36 UTC
Nice find Paul! It is an upstream bug (or a feature) maybe. I have annotated your example code below.

import libarchive.

a  = libarchive.Archive('example.tar.gz')

a.close()  # note that your have closed your "handle" here.

for entry in a:  # now you are trying to operate on an "invalid" handle!
    print entry.pathname
... 
Segmentation fault


Ideally, instead of crashing horribly, the library should throw "ValueError: I/O operation on closed file".

Maybe the python-libarchive authors want to remind us of the "good" old days of programming in C where you learned stuff the hard way ;)

Comment 13 Björn 'besser82' Esser 2013-09-07 11:45:02 UTC
Package has two issues.  :(  But it's not a blocker, so you can fix this on SCM-import.  :)

#####

Package Review
==============

Legend:
[x] = Pass
[!] = Fail
[-] = Not applicable
[?] = Not evaluated


Issues:
=======
- Permissions on files are set properly.
  Note: See rpmlint output
  See: http://fedoraproject.org/wiki/Packaging/Guidelines#FilePermissions

  ---> use "%{_fixperms} %{buildroot}" at the end of %install
       to get that straight.


===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[-]: Development (unversioned) .so files in -devel subpackage, if present.
     Note: Unversioned so-files in private %_libdir subdirectory (see
     attachment). Verify they are not in ld path.

     ---> this is intentional on c-compiled python-modules.

[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[-]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "BSD (3 clause)", "BSD (2 clause)", "Unknown or generated". 3 files have
     unknown license. Detailed output of licensecheck in
     /home/besser82/shared/fedora/review/1004845-python-
     libarchive/licensecheck.txt
[!]: %build honors applicable compiler flags or justifies otherwise.

     ---> please add "%configure ||:" as first command in %build, to
          have all needed compiler- and linker-flags exported.

[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 1 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Each %files section contains %defattr if rpm < 4.4
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[x]: Python eggs must not download any dependencies during the build process.
[x]: A package which is used by another package via an egg interface should
     provide egg info.
[x]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[x]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Fully versioned dependency in subpackages if applicable.
[x]: SourceX tarball generation or download is documented.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: python-libarchive-3.1.2.1-2.fc21.x86_64.rpm
          python-libarchive-3.1.2.1-2.fc21.src.rpm
python-libarchive.x86_64: W: spelling-error %description -l en_US zipfile -> zip file, zip-file, misfile
python-libarchive.x86_64: W: spelling-error %description -l en_US tarfile -> tar file, tar-file, interfile
python-libarchive.x86_64: W: spelling-error %description -l en_US pax -> pa, ax, pas
python-libarchive.x86_64: W: spelling-error %description -l en_US cpio -> CPI
python-libarchive.x86_64: W: spelling-error %description -l en_US xar -> car, ear, tar
python-libarchive.x86_64: W: spelling-error %description -l en_US lha -> la, ha, lea
python-libarchive.x86_64: W: spelling-error %description -l en_US ar -> AR, Ar, at
python-libarchive.x86_64: W: spelling-error %description -l en_US mtree -> tree, m tree
python-libarchive.x86_64: W: spelling-error %description -l en_US rar -> arr, ear, tar
python-libarchive.x86_64: W: spelling-error %description -l en_US shar -> share, shear, shard
python-libarchive.x86_64: W: spelling-error %description -l en_US gzip -> zip, grip, g zip
python-libarchive.x86_64: W: spelling-error %description -l en_US lzip -> lip, zip, l zip
python-libarchive.x86_64: W: spelling-error %description -l en_US xz -> xx, x, z
python-libarchive.x86_64: W: spelling-error %description -l en_US lzma -> lama
python-libarchive.x86_64: E: non-standard-executable-perm /usr/lib64/python2.7/site-packages/libarchive/__libarchive.so 0775L
python-libarchive.src: W: spelling-error %description -l en_US zipfile -> zip file, zip-file, misfile
python-libarchive.src: W: spelling-error %description -l en_US tarfile -> tar file, tar-file, interfile
python-libarchive.src: W: spelling-error %description -l en_US pax -> pa, ax, pas
python-libarchive.src: W: spelling-error %description -l en_US cpio -> CPI
python-libarchive.src: W: spelling-error %description -l en_US xar -> car, ear, tar
python-libarchive.src: W: spelling-error %description -l en_US lha -> la, ha, lea
python-libarchive.src: W: spelling-error %description -l en_US ar -> AR, Ar, at
python-libarchive.src: W: spelling-error %description -l en_US mtree -> tree, m tree
python-libarchive.src: W: spelling-error %description -l en_US rar -> arr, ear, tar
python-libarchive.src: W: spelling-error %description -l en_US shar -> share, shear, shard
python-libarchive.src: W: spelling-error %description -l en_US gzip -> zip, grip, g zip
python-libarchive.src: W: spelling-error %description -l en_US lzip -> lip, zip, l zip
python-libarchive.src: W: spelling-error %description -l en_US xz -> xx, x, z
python-libarchive.src: W: spelling-error %description -l en_US lzma -> lama
2 packages and 0 specfiles checked; 1 errors, 28 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint python-libarchive
python-libarchive.x86_64: W: spelling-error %description -l en_US zipfile -> zip file, zip-file, misfile
python-libarchive.x86_64: W: spelling-error %description -l en_US tarfile -> tar file, tar-file, interfile
python-libarchive.x86_64: W: spelling-error %description -l en_US pax -> pa, ax, pas
python-libarchive.x86_64: W: spelling-error %description -l en_US cpio -> CPI
python-libarchive.x86_64: W: spelling-error %description -l en_US xar -> car, ear, tar
python-libarchive.x86_64: W: spelling-error %description -l en_US lha -> la, ha, lea
python-libarchive.x86_64: W: spelling-error %description -l en_US ar -> AR, Ar, at
python-libarchive.x86_64: W: spelling-error %description -l en_US mtree -> tree, m tree
python-libarchive.x86_64: W: spelling-error %description -l en_US rar -> arr, ear, tar
python-libarchive.x86_64: W: spelling-error %description -l en_US shar -> share, shear, shard
python-libarchive.x86_64: W: spelling-error %description -l en_US gzip -> zip, grip, g zip
python-libarchive.x86_64: W: spelling-error %description -l en_US lzip -> lip, zip, l zip
python-libarchive.x86_64: W: spelling-error %description -l en_US xz -> xx, x, z
python-libarchive.x86_64: W: spelling-error %description -l en_US lzma -> lama
python-libarchive.x86_64: E: non-standard-executable-perm /usr/lib64/python2.7/site-packages/libarchive/__libarchive.so 0775L
1 packages and 0 specfiles checked; 1 errors, 14 warnings.
# echo 'rpmlint-done:'



Requires
--------
python-libarchive (rpmlib, GLIBC filtered):
    libarchive(x86-64)
    libarchive.so.13()(64bit)
    libc.so.6()(64bit)
    libpthread.so.0()(64bit)
    libpython2.7.so.1.0()(64bit)
    python(abi)
    rtld(GNU_HASH)



Provides
--------
python-libarchive:
    python-libarchive
    python-libarchive(x86-64)



Unversioned so-files
--------------------
python-libarchive: /usr/lib64/python2.7/site-packages/libarchive/__libarchive.so

Source checksums
----------------
http://pypi.python.org/packages/source/p/python-libarchive/python-libarchive-3.1.2-1.tar.gz :
  CHECKSUM(SHA256) this package     : e51a56fd06148a979abddd0a6512dbdd2913a529063adab28cf4015dfccc653b
  CHECKSUM(SHA256) upstream package : e51a56fd06148a979abddd0a6512dbdd2913a529063adab28cf4015dfccc653b


Generated by fedora-review 0.5.0 (920221d) last change: 2013-08-30
Command line :/usr/bin/fedora-review -m fedora-rawhide-x86_64 -b 1004845
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Python, Shell-api, C/C++
Disabled plugins: Java, SugarActivity, Perl, R, PHP, Ruby
Disabled flags: EPEL5, EXARCH, DISTTAG

#####

Before I'll sponsor you I'd like to see 3 - 4 informal reviews from you for packages of different types, e.g. C, Java, Ruby, ...

#####

APPROVED!!!

Comment 14 Dhiru Kholia 2013-09-07 16:27:44 UTC
(In reply to Björn "besser82" Esser from comment #13)
> Package has two issues.  :(  But it's not a blocker, so you can fix this on
> SCM-import.  :)
> 
> - Permissions on files are set properly.
>   Note: See rpmlint output
>   See: http://fedoraproject.org/wiki/Packaging/Guidelines#FilePermissions
> 
>   ---> use "%{_fixperms} %{buildroot}" at the end of %install
>        to get that straight.
> 
> ...
> python-libarchive.x86_64: E: non-standard-executable-perm
> /usr/lib64/python2.7/site-packages/libarchive/__libarchive.so 0775L
> ...
> 
> Rpmlint (installed packages)
> ----------------------------
> # rpmlint python-libarchive
> ...
> python-libarchive.x86_64: E: non-standard-executable-perm
> /usr/lib64/python2.7/site-packages/libarchive/__libarchive.so 0775L
> 1 packages and 0 specfiles checked; 1 errors, 14 warnings.
> # echo 'rpmlint-done:'

Fixed now,

Spec URL: https://bitbucket.org/dhiru/packages/raw/master/python-libarchive/python-libarchive.spec
SRPM URL: https://bitbucket.org/dhiru/packages/raw/master/python-libarchive/python-libarchive-3.1.2.1-3.fc19.src.rpm

http://koji.fedoraproject.org/koji/taskinfo?taskID=5908094

> Before I'll sponsor you I'd like to see 3 - 4 informal reviews from you for
> packages of different types, e.g. C, Java, Ruby, ...

I am working on it. Here are my informal reviews so far,

https://bugzilla.redhat.com/show_bug.cgi?id=1001028

https://bugzilla.redhat.com/show_bug.cgi?id=1004192

Informal reviews for packages of different types are coming soon.

Comment 15 Björn 'besser82' Esser 2013-09-07 17:05:27 UTC
Since I just sponsored you, you can proceed with filing an SCM-request [1] for this and set "fedora-cvs"-flag to (?).

Please and me to InitialCC, thanks ;)  (IntialCC: besser82)

[1] https://fedoraproject.org/wiki/Package_SCM_admin_requests

Comment 16 T.C. Hollingsworth 2013-09-08 01:50:47 UTC
Please clear the FE-NEEDSPONSOR blocker when you sponsor someone (or intend to do so).  This makes it easier to find packages that really do require sponsorship in the tracker bug.  Thanks!

Comment 17 Dhiru Kholia 2013-09-09 09:19:36 UTC
New Package SCM Request
=======================
Package Name: python-libarchive
Short Description: Fully functional Python wrapper for libarchive
Owners: halfie
Branches: f19 f20
InitialCC: besser82

Comment 18 Gwyn Ciesla 2013-09-09 12:12:18 UTC
Git done (by process-git-requests).

Comment 19 Fedora Update System 2013-09-16 09:01:11 UTC
python-libarchive-3.1.2.1-3.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/python-libarchive-3.1.2.1-3.fc19

Comment 20 Fedora Update System 2013-09-17 00:25:17 UTC
Package python-libarchive-3.1.2.1-3.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing python-libarchive-3.1.2.1-3.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-16886/python-libarchive-3.1.2.1-3.fc19
then log in and leave karma (feedback).

Comment 21 Fedora Update System 2013-09-26 06:28:12 UTC
python-libarchive-3.1.2.1-3.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.